POST
/api/v1/reserve_ips/{ip_address}/actions/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "vm_id": 259555, "type": "live-reserve"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "vm_id": 259555, "type": "live-reserve", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "vm_id": 259555, "type": "live-reserve" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ip_address
required
string
IP address
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
vm_id
required
integer
Example
259555type
required
string
Example
live-reserveResponses
Section titled “Responses”IP assigned/detached or live-reserved successfully
Media typeapplication/json
object
Example
{ "code": 200, "data": { "IP": "164.52.198.52", "status": "Attached", "vm_name": "C3-8GB-560", "vm_id": 213855 }, "errors": {}, "message": "Success"}